<?php
/*
+--------------------------------------------------------------------------
|   Alex Article Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Artikel - Verwaltung Admin Center
|
+--------------------------------------------------------------------------
*/

require("adminfunc.inc.php");
require("../include/artfunc.inc.php");


if ( isset ($session[id]))
   {
   $user = CheckUserID($session[id]);
   		 if ($user[groupid] != 1)
   		 {
		 header("Location: $config[artscripturl]/admin/index.php");
		 exit;
		 }
   }
   
$message = "";

if (isset ($change) && $change=="edit") {
   #### hier werden nderungen gespeichert ####
   InsertArticle($artid,$headline,$hometext,$article,$published,$dl_name,$dl_link,$dl,$pic_n,$pic_name,$info,$comments_allowed,$print_ver,$use_br,$reg_only);
   $step = "edit";
   $message .= "Artikel wurde erfolgreich bearbeitet - $step";   
   }
   
if (isset ($change) && $change=="newpage") {
   #### hier wird einem Artikel eine neue Seite eingefgt #####
   InsertNewPage($subart,$headline,$article,$catid,$dl,$dl_link,$dl_name,$published,$comments_allowed,$pagenum,$pagecount,$use_br);
   $message .= "neue Seite wurde in die Datenbank eingetragen";
   unset($catid);
   }   
   
if (isset ($change) && $change=="del") {
   #### hier werden Artikel gelscht #####
   DelArticle($artid);
   $message .= "Artikel wurde unwiderruflich gelscht";
   }
   
if (isset ($change) && $change=="add") {
   #### hier werden neue Artikel hinzugefgt #####
   InsertNewArticle($headline,$hometext,$catid,$article,$published,$dl,$dl_link,$dl_name,$comments_allowed,$pic_n,$pic_name,$info,$reg_only,$print_ver,$use_br);
   $message .= "Artikel wurde in die Datenbank eingetragen";
   $step = "edit";
   unset($catid);
   }
   
   
?>

<html>
<head>
<title>Alex Artikel Engine - Admin Center</title>
<script language="Javascript" type="text/javascript">
<!--
var neu = null;
function Uploadfile() {
    neu = window.open('', 'Neues', 'width=600,height=500,resizable=0');
    if (neu != null) {
    if (neu.opener == null) {
        neu.opener = self;
        }
    neu.location.href = '<?php echo"$config[artscripturl]"; ?>/admin/upload.php?step=file&new_dir=http://localhost/projekte/alexart/files&<?php echo session_name()."=".session_id() ?>';
    }
}

function Uploadimage() {
    neu = window.open('', 'Neues', 'width=600,height=500,resizable=0');
    if (neu != null) {
    if (neu.opener == null) {
        neu.opener = self;
        }
    neu.location.href = '<?php echo"$config[artscripturl]"; ?>/admin/upload.php?step=thumb&<?php echo session_name()."=".session_id() ?>';
    }
}

//-->
</script>

<?php
include("adminstyle.inc.php");
include("admin_header.inc.php");



if ($message != "")
   {
   print "<p class=\"menuhead\">$message</p>";
   }
   
if(!isset ($catid)) {
  $catid = 0;
  }

if(!isset ($step)) {
  ArticleCatSearch($catid);
} else {
  if($step == "cat") {
  	 #### Suche nach Kategorie ####
	 ArticleCatSearch($catid);
  }
  
  if($step == "down") {
     #### Suche nach Artikel ####
	 echo "
	 <p class=\"headline\"><img class=\"nav\" src=\"images/search.gif\" width=\"16\" height=\"16\" border=\"0\" align=\"absmiddle\"> Suche nach Artikel-berschrift</p>
	 <form method=\"post\" action=\"$config[artscripturl]/admin/art.php?".session_name()."=".session_id()."\">
	 <input type=\"hidden\" name=\"step\" value=\"file\">
	 <table class=\"menuhead\" cellspacing=\"0\" cellpadding=\"0\" border=\"1\" width=\"100%\">
	<tr>
	<td class=\"menucat\" colspan=\"2\" bgcolor=\"#446D8C\">
	<font size=1><b>&raquo; Bitte hier den gesuchen Namen eingeben:</b></font>
	</td>
	</tr>		  		 	

     <tr>
     <td class=\"menuhead\">Artikelname: <input class=\"input\" name=\"arttitle\" type=\"text\" size=\"80\"></td>
     <td class=\"menuhead2\"><input class=\"button\" type=\"submit\" value=\"Suchen\"></td>
     </tr>
     </table>
	 ";	 
	 
  }
  
  if($step == "file") {
  	 #### Artikelauswahl, Suche nach Namen ####
     ArticleNameSearch($arttitle);
  }
  
  
  if($step == "add") {
     #### Download hinzufgen (Formular) ####
	 GetArticleForm($catid);
  }
  
  if($step == "newpage") {
     #### neue Seite fr Artikel hinzufgen (Formular) ####
	 GetArticleFormSecond($catid,$artid,$subart);
  }
  
  
  if($step == "choose") {
     #### File auswahl ####
	 GetFileChoose($catid);
  }
  
  if($step == "edit") {
     #### Download editieren (Formular) ####
	 GetArticleEditForm($artid);
  }
  
  if($step == "del") {
  #### hier, wie ein File gelscht wird ####
  #### lschen wird extra besttigt ####
  echo "  
  <form method=\"post\" action=\"$config[artscripturl]/admin/art.php?".session_name()."=".session_id()."\">
  <input type=\"hidden\" name=\"change\" value=\"del\">
  <input type=\"hidden\" name=\"artid\" value=\"$artid\">
  <table>
  <tr>
  <td class=\"menuhead\">
  Soll der gewhlte Artikel (ID: $artid) wirklich unwiderruflich gelscht werden?
  </td>
  </tr>
  <tr>
  <td class=\"menuhead2\">
  <input class=\"button\" type=\"submit\" value=\"JA\">
  Falls nicht, klicke <a class=\"menu\" href=\"main.php?".session_name()."=".session_id()."\">hier</a>, um zur Hauptseite zurck zu gelangen.
  </td>
  </tr>
  </table>
  ";
  }

}
   





include("admin_footer.inc.php");
?>
