<?php
/*
+--------------------------------------------------------------------------
|   Alex Article Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Avatar-Handling Admin Center
|
+--------------------------------------------------------------------------
*/

require("adminfunc.inc.php");
require("../include/artfunc.inc.php");

if ( isset ($session[id]))
   {
   $user = CheckUserID($session[id]);
   		 if ($user[groupid] != 1)
   		 {
		 header("Location: $config[artscripturl]/admin/index.php");
		 exit;
		 }
   } else {
   header("Location: $config[artscripturl]/admin/index.php?".session_name()."=".session_id());
   exit;
   }


$message = "";

if(isset ($change) && $change=="add") {
	####Avatar hinzufgen####
	$avatid = InsertNewAvatar($avatardata);
	$message .= "Avatar wurde erfolgreich unter ID: $avatid hinzugefgt";
	}
	
	
if(isset ($change) && $change=="edit") {
	####Avatar editieren####
	InsertAvatData($avatarid, $avatardata);
	$message .= "Avatar wurde erfolgreich editiert";
	}
	
if(isset ($change) && $change=="del") {
	####Avatar lschen####
	DelAvatar($avatarid);
	$message .= "AvatarID $avatarid wurde unwiderruflich gelscht";
	}


?>

<html>
<head>
<title>Alex Artikel Engine - Admin Center</title>
<?php
include("adminstyle.inc.php");
include("admin_header.inc.php");
?>

<?php

if ($message != "")
   {
   print "<p class=\"menuhead\">$message</p>";
   }

   
if($step == "add") {
#### Avatar hinzufgen ###
InsertAvatar();
}


if($step == "edit") {
#### Avatar editieren ###
GetAvatData();
}

if($step == "rename") {
#### Avatar umbennen ###
RenameAvat($avatarid);
}

if($step == "del") {
#### Avatar lschen ###
  echo "  
  <form method=\"post\" action=\"$config[artscripturl]/admin/avatar.php?".session_name()."=".session_id()."\">
  <input type=\"hidden\" name=\"change\" value=\"del\">
  <input type=\"hidden\" name=\"avatarid\" value=\"$avatarid\">
  <table>
  <tr>
  <td class=\"menuhead\">
  Soll das gewhlte Avatar (ID: $avatarid) wirklich unwiderruflich gelscht werden?
  </td>
  </tr>
  <tr>
  <td class=\"menuhead2\">
  <input class=\"button\" type=\"submit\" value=\"JA\"><br>
  Falls nicht, klicke <a class=\"menu\" href=\"main.php?".session_name()."=".session_id()."\">hier</a>, um zur Hauptseite zurck zu gelangen.
  </td>
  </tr>
  </table>
  ";
}
 
   
include("admin_footer.inc.php");
?>