<?php
/*
+--------------------------------------------------------------------------
|   Alex Article Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Uploadfunktion Admin Center
|
+--------------------------------------------------------------------------
*/

require("adminfunc.inc.php");
require("../include/artfunc.inc.php");
require("../include/myupload.php");


if ( isset ($session[id]))
   {
   $user = CheckUserID($session[id]);
   		 if ($user[groupid] != 1)
   		 {
		 header("Location: $config[artscripturl]/admin/index.php");
		 exit;
		 }
   }
   
$message = "";

if($step == "file") {
	$filedir = strrchr($new_dir,303);
	$filedir = substr($filedir, 1);
	$filedir = "../".$filedir;
	$fieldname = "Url zum Download";
	$end_dir = $config[fileurl];
} elseif($step == "thumb") {
	$filedir = strrchr($config[artgrafurl],303);
	$filedir = substr($filedir, 1); 
	$filedir = "../".$filedir;	
	$fieldname = "Dateiname des Kategoriebildes";
	$end_dir = "";
} else {
	$filedir = strrchr($config[avaturl],303);
	$filedir = substr($filedir, 1); 
	$filedir = "../".$filedir;	
	$fieldname = "Dateiname des Avatars";
	$end_dir = $config[avaturl];
}

$myU = new MyUpload( $PHP_REFERER );

if( isset( $submit )) {

  if( !$myU->checkExtension() ) {
    $message .= "Dateierweiterung ist ungltig, Upload wurde nicht durchgefhrt<br>";
  }

  if( !$myU->checkFileSize() ){
    $message .= "Die angegebene Datei ist zu gro, maximale Grsse: ". $myU->cls_filesize."<br>";
  }
  
  if (!$message) {
  	$myU->setDir( "$filedir" );
  	$myU->setCompleteFilename();
  }

  $check_copy = $myU->myCopy();
  switch( $check_copy ){
    case 2: $message .= "Upload erfolgreich, Name wurde nicht gendert!". $this->cls_file."<br>";
      break;
    case 1: 
			$upl_file = $myU->cls_copyfile;
			$dlfile = $upl_file; 
			$upl_file = strrchr($upl_file,303);
			$upl_file = substr($upl_file, 1);
			$without = $upl_file;
			$upl_file = $end_dir."/".$upl_file;
			if($step == "file") {
				$file_size = filesize("$dlfile");
				$message .= "Datei-Upload erfolgreich !<br>Kopiere den folgenden Namen in das Feld <u>$fieldname</u>:<br><input class=\"input\" type=\"text\" value=\"$upl_file\"><br>und in das Feld <u>Grsse des Downloads in Byte</u> folgendes:<br><input class=\"input\" type=\"text\" value=\"$file_size\">";
			} elseif($step == "thumb") {
				$message .= "Datei-Upload erfolgreich !<br>Kopiere den folgenden Namen in das Feld <u>$fieldname</u><br><input class=\"input\" type=\"text\" value=\"$without\">";
			} else {
				mysql_query("INSERT INTO $avat_table (avatardata) VALUES ('$without')");
				header("Location: $config[artscripturl]/admin/avatar.php?step=edit&".session_name()."=".session_id());
		 		exit;
			}
			$step = 1;
      break;
    case 0: $message .= "Kopieren der Datei nicht mglich<br>";
      break;
    case -1: $message .= "Dateiname existiert bereits, kopieren nicht mglich!<br>";
      break;
  }
} 

$max_fsize = "2097152";

   
   
?>

<html>
<head>
<title>Alex Artikel Engine - Upload</title>
<?php
include("adminstyle.inc.php");
include("admin_header.inc.php");


if ($message != "")
   {
   print "<p class=\"menuhead\">$message</p>";
   }
   
  if($step == "file") {
  	 #### File Upload ####
     echo "
<p class=\"headline\"><img class=\"nav\" src=\"$config[grafurl]/nav_img.gif\" width=\"16\" height=\"16\" border=\"0\"> Fileupload</p>
";	 
  	$head = "File";
  }
  
  
  if($step == "thumb") {
     #### Pic Upload ####
	 echo "<p class=\"headline\"><img class=\"nav\" src=\"$config[grafurl]/nav_img.gif\" width=\"16\" height=\"16\" border=\"0\"> Bild zum Artikel/Kategorie - Upload</p>";
	 $head = "Vorschaubild";
  }
  
  if($step == "avat") {
     #### Avatar Upload ####
	 echo "<p class=\"headline\"><img class=\"nav\" src=\"images/avat.gif\" width=\"16\" height=\"16\" border=\"0\"> Avatarupload</p>";
	 $head = "Avatar";
  }
  
echo "
<form method=\"post\" action=\"$config[artscripturl]/admin/upload.php?".session_name()."=".session_id()."\"  enctype=\"multipart/form-data\">
<input class=\"input\" type=\"hidden\" name=\"filedir\" value=\"$filedir\">
<input class=\"input\" type=\"hidden\" name=\"step\" value=\"$step\">
<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">
<tr>
<td class=\"menucat\" colspan=\"2\" bgcolor=\"#446D8C\">
<font size=1><b>&raquo; Neues Bild hochladen:</b></font>
</td>
</tr>		  		 		 		 
<tr>
    <td colspan=\"2\" class=\"menuhead\">Bitte beachte, dass es nur mglich ist Dateien bis zu $max_fsize Bytes (oder evtl. maximale Grsse der Servereinstellungen) hochzuladen. Fr grere Dateien muss ein FTP-Programm verwendet werden.</td>
</tr>
<tr>
    <td class=\"menuhead\">Suche hier das $head:</td>
    <td class=\"menuhead2\">\n";
print $myU->setFormFileSize( $max_fsize );
print $myU->setFormFileInput();
echo "						
	
	</td>
</tr>
<tr>
    <td class=\"menuhead\">&nbsp;</td>
    <td class=\"menuhead2\"><input class=\"button\" type=\"submit\" value=\"Upload\" name=\"submit\"> <input class=\"button\" type=\"reset\" name=\"Zurcksetzen\"></td>
</tr>
</table>



</form>";

if ($step != "avat") {
echo "
<div align=\"center\"><a class=\"menu\" href=\"javascript: self.close();\">&raquo; klicke hier, um das Fenster zu schlieen</a></div>";
}




include("admin_footer.inc.php");
?>