<?php
/*
+--------------------------------------------------------------------------
|   Alex Article Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Kategorien-Handling Admin Center
|
+--------------------------------------------------------------------------
*/

require("adminfunc.inc.php");
require("../include/artfunc.inc.php");

if ( isset ($session[id]))
   {
   $user = CheckUserID($session[id]);
   		 if ($user[groupid] != 1)
   		 {
		 header("Location: $config[artscripturl]/admin/index.php");
		 exit;
		 }
   } else {
   header("Location: $config[artscripturl]/admin/index.php?".session_name()."=".session_id());
   exit;
   }


$message = "";

if(isset ($cat) && $cat=="new") {
 	####hier Kategorie hinzufgen####
	AddCat($cat_name,$subcat,$cat_image);
	$message .= "Kategorie erfolgreich hinzugefgt";
	unset ($catid);
	}
	
if(isset ($cat) && $cat=="del") {
	####Kategorie lschen####
	DelCat($catid);
	$message .= "Kategorie wurde gelscht";
	unset ($catid);
	}
	
if(isset ($cat) && $cat=="edit") {
    ####Kategorie bearbeiten####
	InsertCat($catid,$cat_name,$cat_image);
	$message .= "Kategorie erfolgreich bearbeitet";
	unset ($catid);
	}


?>

<html>
<head>
<title>Alex Artikel Engine - Admin Center</title>
<script language="Javascript" type="text/javascript">
<!--
var neu = null;
function Uploadimage() {
    neu = window.open('', 'Neues', 'width=600,height=500,resizable=0');
    if (neu != null) {
    if (neu.opener == null) {
        neu.opener = self;
        }
    neu.location.href = '<?php echo"$config[artscripturl]"; ?>/admin/upload.php?step=thumb&<?php echo session_name()."=".session_id() ?>';
    }
}

//-->
</script>

<?php
include("adminstyle.inc.php");
include("admin_header.inc.php");
?>

<?php

if ($message != "")
   {
   print "<p class=\"menuhead\">$message</p>";
   }

	
if(!isset ($catid)) {
  $catid = 0;
  }

if(!isset ($step)) {
  GetMainCat($catid);
} else {
  if($step == "cat_add") {
  #### hier, ,Kategorie hinzufgen ####
  AddCatForm($catid);
  }

  if($step == "cat_edit") {
  #### hier, wie eine Kategorie editiert wird ###
  EditCatForm($catid);
  }

  if($step == "cat_del") {
  #### hier, wie eine Kategorie gelscht wird ####
  #### lschen wird extra besttigt ####
  echo "  
  <form method=\"post\" action=\"$config[artscripturl]/admin/categories.php?".session_name()."=".session_id()."\">
  <input type=\"hidden\" name=\"cat\" value=\"del\">
  <input type=\"hidden\" name=\"catid\" value=\"$catid\">
  <table>
  <tr>
  <td class=\"menuhead\">
  Soll die gewhlte Kategorie (ID: $catid) wirklich unwiderruflich gelscht werden?
  </td>
  </tr>
  <tr>
  <td class=\"menuhead2\">
  <input class=\"button\" type=\"submit\" value=\"JA\">
  Falls nicht, klicke <a class=\"menu\" href=\"main.php?".session_name()."=".session_id()."\">hier</a>, um zur Hauptseite zurck zu gelangen.
  </td>
  </tr>
  </table>
  ";
  }
  
  if($step == "maincat") {
  AddCatForm($catid);
  }

}

include("admin_footer.inc.php");
?>