<?php
/*
+--------------------------------------------------------------------------
|   Alex Article Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Mitgliederbearbeitung Admin Center
|
+--------------------------------------------------------------------------
*/

require("adminfunc.inc.php");
require("../include/artfunc.inc.php");

if ( isset ($session[id]))
   {
   $user = CheckUserID($session[id]);
   		 if ($user[groupid] != 1)
   		 {
		 header("Location: $config[artscripturl]/admin/index.php");
		 exit;
		 }
   } else {
   header("Location: $config[artscripturl]/admin/index.php?".session_name()."=".session_id());
   exit;
   }


$message = "";

if(isset ($change) && $change=="add") {
 	####hier Mitglied hinzufgen####
	if ( holeUser($username))
	    $message .= "Der Login \"$username\" ist schon vergeben. Bitte einen anderen
				 	Namen whlen.<br>\n";
    if ( empty($useremail))
    	  $message .= "Du musst Deine Email-Adresse angeben<br>\n";
    if (! isEmail($useremail))
    	  $message .= "Du musst eine gltige Email-Adresse eingeben<br>\n";
    if ($message=="")
    	  {
 	   	  $uid = AddMemberData($username,$userpassword,$useremail,$userhp,$groupid,$avatarid,$show_email_global,$blocked);
		  $message .= "Mitglied erfolgreich unter UserID $uid hinzugefgt";
		  unset ($userid);
 	  	  }
	 }
	
if(isset ($change) && $change=="del") {
	####hier Mitglied lschen####
	DelMember($userid);
	$message .= "Mitglied wurde unwiderruflich gelscht";
	unset ($userid);
	}
	
if(isset ($change) && $change=="edit") {
    ####hier Mitglied editieren####
	if ($show_email_global == "") {
	$show_email_global = 0;
	}
	if ($blocked == "") {
	$blocked = 0;
	}

	InsertNewUserData($userid,$username,$userpassword,$useremail,$userhp,$groupid,$avatarid,$show_email_global,$blocked);
	unset ($userid);
	$message .= "Mitgliedsdaten wurden erfolgreich bearbeitet";
	}


?>

<html>
<head>
<title>Alex Artikel Engine - Admin Center</title>
<script language="Javascript" type="text/javascript">
<!--
var neu = null;
function GroupInfo() {
    neu = window.open('', 'Neues', 'width=600,height=500,resizable=0');
    if (neu != null) {
    if (neu.opener == null) {
        neu.opener = self;
        }
    neu.location.href = '<?php echo"$config[artscripturl]"; ?>/admin/member.php?step=groupinfo&<?php echo session_name()."=".session_id() ?>';
    }
}
//-->
</script>
<script language="Javascript" type="text/javascript">
<!--
var neu = null;
function Avatar() {
    neu = window.open('', 'Neues', 'width=600,height=500,resizable=0');
    if (neu != null) {
    if (neu.opener == null) {
        neu.opener = self;
        }
    neu.location.href = '<?php echo"$config[artscripturl]"; ?>/avatarlist.php?<?php echo session_name()."=".session_id() ?>';
    }
}
//-->
</script>

<?php
include("adminstyle.inc.php");
include("admin_header.inc.php");
?>

<?php

if ($message != "")
   {
   print "<p class=\"menuhead\">$message</p>";
   }
	

if(!isset ($step) && $change == "") {
  echo " <p><b>Es wurde keine Auswahl getroffen. Bitte whle links aus der Navigation die gewnschte Option aus.</b></p>";
} else {
  if($step == "change") {
  #### hier, Mitglied lschen und editieren ####
  GetMembers();
  }
  
  if($step == "get") {
  #### hier, Mitglied suchen ####
  SearchMember($username);
  }

  if($step == "search") {
  #### hier, Mitglied lschen und editieren ####
  #### Suche nach Download ####
  echo "
  <p class=\"headline\"><img class=\"nav\" src=\"images/user.gif\" width=\"22\" height=\"20\" border=\"0\"> Suche nach Usern:</p>
  <form method=\"post\" action=\"$config[artscripturl]/admin/member.php?".session_name()."=".session_id()."\">
  <input type=\"hidden\" name=\"step\" value=\"get\">
  <table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\">
  <tr>
  <td class=\"menucat\" colspan=\"7\" bgcolor=\"#446D8C\">
  <font size=1><b>&raquo; Bitte hier den Usernamen eingeben:
  </td>
  </tr>		  		 		 

  <tr>
  <td class=\"menuhead\"><input class=\"input\" name=\"username\" type=\"text\" size=\"80\"></td>
  <td class=\"menuhead2\"><input class=\"button\" type=\"submit\" value=\"Suchen\"></td>
  </tr>
  </table>
  ";	 
  
  }

  if($step == "add") {
  #### hier, Mitglied hinzufgen ###
  AddMemberForm();
  }

  if($step == "del") {
  #### hier, Mitglied lschen ####
  echo "  
  <form method=\"post\" action=\"$config[artscripturl]/admin/member.php?".session_name()."=".session_id()."\">
  <input type=\"hidden\" name=\"change\" value=\"del\">
  <input type=\"hidden\" name=\"userid\" value=\"$userid\">
  <table>
  <tr>
  <td class=\"menuhead\">
  Soll der gewhlte User (ID: $userid) wirklich unwiderruflich gelscht werden?
  </td>
  </tr>
  <tr>
  <td class=\"menuhead2\">
  <input class=\"button\" type=\"submit\" value=\"JA\"><br>
  Falls nicht, klicke <a class=\"menu\" href=\"main.php?".session_name()."=".session_id()."\">hier</a>, um zur Hauptseite zurck zu gelangen.
  </td>
  </tr>
  </table>
  ";

  }
  
  if($step == "edit") {
  #### hier, Mitglied editieren ####
  GetMemberEditForm($userid);
  }

  if($step == "groupinfo") {
  #### hier, Mitglied editieren ####
  echo "
	<p class=\"headline\"><img class=\"nav\" src=\"images/user.gif\" width=\"22\" height=\"20\" border=\"0\"> Informationen zu den Gruppenrechten:</p>
	<p>
	
	<table width=\"100%\" cellspacing=\"0\" cellpadding=\"4\" border=\"0\">
	<tr>
	    <td class=\"menuhead3\"><b>Gruppenname</b></td>
	    <td class=\"menuhead3\"><b>Kann Admin-Center betreten</b></td>
	    <td class=\"menuhead3\"><b>Kann News posten (wenn NewsEngine angeschlossen)</b></td>
	    <td class=\"menuhead3\"><b>Kann Kommentare editieren</b></td>
	    <td class=\"menuhead3\"><b>Kann Kommentare lschen</b></td>
		<td class=\"menuhead3\"><b>Kann Kommentare schreiben</b></td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>Administrator</b></td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>Co-Administrator</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>News-Poster</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>Super-Moderator</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>Moderator</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\">&nbsp;</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>Mitglied</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>Gast</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
		<td class=\"menuhead2\" align=\"center\"><font size=\"1\">wenn gewhlt</font></td>
	</tr>
	
	</table>
	
	</p>
	<p><font face=\"Tahoma\" size=\"1\">alle anderen, hier nicht aufgefhrten Gruppen sind lediglich fr Programm interne Zwecke, haben aber keine besonderen Recht</font></p>
	<div align=\"center\"><a class=\"menu\" href=\"javascript: self.close();\">&raquo; klicke hier, um das Fenster zu schlieen &laquo;</a></div>
	";
  }
  

}

include("admin_footer.inc.php");
?>