<?php
/*
+--------------------------------------------------------------------------
|   Alex Article Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Installationsdatei
|
+--------------------------------------------------------------------------
*/

require("include/config.inc.php");
require("include/db.func.inc.php");

$db_sql = new db_sql;
$db_sql->database=$dbName;
$db_sql->server=$hostname;
$db_sql->user=$dbUname;
$db_sql->password=$dbPasswort;
$db_sql->myconnect();


$mainheader = "
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">
<html>
<STYLE>
BODY {
	color : #4665B5;
	background-color : #CFDAF0;
	font-family : Tahoma, Arial, sans-serif;
	font-size : 12px;
	width : 98%;
}

TD {
	color : #4665B5;
	background-color : #CFDAF0;
	font-family : Tahoma, Arial, sans-serif;
	font-size : 12px;	
}

INPUT {
	background-color : #D3D3D3;
	color : Black;
	font-family : Tahoma, Verdana, Arial, sans-serif;
	font-size : 11px;
	border-bottom : 1px solid #4665B5;
	border-left : 1px solid #4665B5;
	border-right : 1px solid #4665B5;
	border-top : 1px solid #4665B5;
}

P.head {
	background-color : #4665B5;
	color : White;
	font-size : 12px;
	font-weight : bold;
	margin-left : 4px;
	padding-left : 4px;
	padding-bottom : 6px;
	padding-top : 6px;
	width : 98%;
	border : 1px solid #808080;	
}

P.standard {
	background-color : #CFDAF0;
	font-size : 12px;
	margin-left : 4px;
	padding-left : 4px;
	padding-bottom : 6px;
	padding-top : 6px;
	width : 98%;
	border : 1px solid Black;	
	line-height : 16px;	
}



A {
	color : #4665B5;
}

A:HOVER {
	color : #FF9933;
	text-decoration : none;
}
</STYLE>


<head>
	<title>Installation der AlexArticleEngine</title>
</head>

<body>";


if(!$step) {
	echo "$mainheader\n
	<p class=\"head\">Willkommen bei der Installation der AlexArticleEngine</p>
	<p class=\"head\">Schritt 1 (von 5) - Hinweise zur Installation</p>
	<p class=\"standard\">
	<b>WICHTIG:</b> Sollte Deinen Datenbank nicht leer sein, werden gleichnamige Tabellen berschrieben<br></p>
	<p class=\"standard\">Wenn Du alle Dateien und Grafiken entsprechend der Install-Anleitung per FTP auf Deinen Server geladen hast,<br>
	klicke auf den folgenden Link um mit der Installation zu beginnen:<br>
	&raquo; <a href=\"install.php?step=1\">Klicke hier und starte die vollstndige Installation</a><br>
	&raquo; <a href=\"install.php?step=6\">Klicke hier, wenn Du bereits eine Alex-Engine installiert hast und bestehende User, Avatar und Group Tabellen verwenden willst.</a><br>
	";
	}
	
if ($step == 1) {
    echo "$mainheader\n
	<p class=\"head\">Schritt 2 (von 5) - Installation der Tabellen</p>
	<p class=\"standard\">Die Tabellen werden nun in der angegebenen Datenbank installiert. <br>
	Bitte nicht den Zurck- oder Reload-Button drcken</p>
	<ul>
	";
	mysql_query("DROP TABLE $set_table");
	mysql_query("CREATE TABLE $set_table (
		styleid int(11) NOT NULL default '0',
		artscripturl varchar(255) NOT NULL default '',
		scriptname varchar(255) NOT NULL default '',
		admin_mail varchar(255) NOT NULL default '',
		smilieurl varchar(255) NOT NULL default '',
		grafurl varchar(255) NOT NULL default '',
		avaturl varchar(255) NOT NULL default '',
		artgrafurl varchar(255) NOT NULL default '',
		textcol varchar(10) NOT NULL default '',
		textcol2 varchar(10) NOT NULL default '',
		hovercol varchar(10) NOT NULL default '',
		bordercol varchar(10) NOT NULL default '',
		maincol varchar(10) NOT NULL default '',
		primcol varchar(10) NOT NULL default '',
		postcol1 varchar(10) NOT NULL default '',
		postcol2 varchar(10) NOT NULL default '',
		fontf varchar(50) NOT NULL default '',
		mainwidth varchar(11) NOT NULL default '0',
		commentmail int(1) NOT NULL default '0',
		guestpost int(1) NOT NULL default '1',
		mainurl varchar(255) NOT NULL default '',
		directpost int(1) NOT NULL default '0',
		infopage int(10) NOT NULL default '0',
		use_navichain int(1) NOT NULL default '1',
		showvisitorinfo int(1) NOT NULL default '0',
		userreg int(1) NOT NULL default '0',
		userlogin int(1) NOT NULL default '0',
		PRIMARY KEY (styleid)
    )");
	echo "<li>Tabelle $set_table wurde erfolgreich erzeugt</li>";
	mysql_query("DROP TABLE $user_table");
	mysql_query("CREATE TABLE $user_table (
		userid int(11) NOT NULL auto_increment,
		username varchar(30) NOT NULL default '',
		userpassword varchar(59) NOT NULL default '',
		useremail varchar(150) NOT NULL default '',
		regdate int(11) NOT NULL default '0',
		lastvisit int(11) NOT NULL default '0',
		usericq varchar(30) NOT NULL default '',
		aim varchar(30) NOT NULL default '',
		yim varchar(30) NOT NULL default '',
		userhp varchar(200) NOT NULL default '',
		interests varchar(250) NOT NULL default '',
		location varchar(255) NOT NULL default '',
		gender int(1) NOT NULL default '0',
		groupid int(7) NOT NULL default '0',
		avatarid int(11) NOT NULL default '0',
		show_email_global int(1) NOT NULL default '0',
		blocked int(1) NOT NULL default '0',
		canuploadfile int(1) NOT NULL default '0',
		PRIMARY KEY (userid),
		KEY username (username)
    )");
	echo "<li>Tabelle $user_table wurde erfolgreich erzeugt</li>";
	mysql_query("DROP TABLE $artcat_table");
	mysql_query("CREATE TABLE $artcat_table (
		catid int(11) NOT NULL auto_increment,
		titel text NOT NULL,
		subcat int(11) NOT NULL default '0',
		cat_image varchar(255) NOT NULL default '',
		PRIMARY KEY  (catid),
		KEY subcat (subcat)
    )");
	echo "<li>Tabelle $artcat_table wurde erfolgreich erzeugt</li>";
	mysql_query("DROP TABLE $artcomment_table");
	mysql_query("CREATE TABLE $artcomment_table (
		comid int(11) NOT NULL auto_increment,
		userid int(11) NOT NULL default '0',
		com_headline varchar(255) NOT NULL default '',
		post_comment text NOT NULL,
		com_date int(11) NOT NULL default '0',
		com_status int(11) NOT NULL default '0',
		artid int(11) NOT NULL default '0',
		user_ip varchar(16) default NULL,
		user_comname varchar(30) NOT NULL default '0',
		posticon varchar(255) NOT NULL default '',
		PRIMARY KEY  (comid),
		KEY userid (userid),
		KEY artid (artid)
    )");
	echo "<li>Tabelle $artcomment_table wurde erfolgreich erzeugt</li>";
	mysql_query("DROP TABLE $art_table");
	mysql_query("CREATE TABLE $art_table (
		artid int(11) NOT NULL auto_increment,
		subart int(11) NOT NULL default '0',
		headline text NOT NULL,
		hometext text NOT NULL,
		article text NOT NULL,
		use_br int(1) NOT NULL default '0',
		catid int(11) NOT NULL default '0',
		dl int(1) NOT NULL default '0',
		dl_link varchar(255) NOT NULL default '',
		dl_name varchar(255) NOT NULL default '',
		dl_counter int(11) NOT NULL default '0',
		published int(1) NOT NULL default '0',
		comments_allowed int(1) NOT NULL default '0',
		artdate int(11) NOT NULL default '0',
		pagenum int(11) NOT NULL default '1',
		pagecount int(11) NOT NULL default '1',
		pic_n int(1) NOT NULL default '0',
		pic_name varchar(255) NOT NULL default '',
		info int(1) NOT NULL default '0',
		reg_only int(1) NOT NULL default '0',
		print_ver int(1) NOT NULL default '1',
		PRIMARY KEY  (artid),
		KEY subart (subart),
		KEY catid (catid)
    )");
	echo "<li>Tabelle $art_table wurde erfolgreich erzeugt</li>";
	mysql_query("DROP TABLE $avat_table");
	mysql_query("CREATE TABLE $avat_table (
	   avatarid int(11) NOT NULL auto_increment,
       avatardata char(255) NOT NULL,
       PRIMARY KEY (avatarid)
    )");
	echo "<li>Tabelle $avat_table wurde erfolgreich erzeugt</li>";
	mysql_query("DROP TABLE $group_table");
	mysql_query("CREATE TABLE $group_table (
	   groupid int(11) NOT NULL auto_increment,
       title varchar(30) NOT NULL,
       PRIMARY KEY (groupid)
    )");
	echo "<li>Tabelle $group_table wurde erfolgreich erzeugt</li>";
	echo "</ul>
	<p class=\"standard\">Alle Tabellen wurden erzeugt. Klicke auf den folgenden Link, um mit der Installation fortzufahren:<br>
	&raquo; <a href=\"install.php?step=2\">Klicke hier und starte die Installation</a></p>";
	}
	
if ($step == 2) {
    echo "$mainheader\n
	<p class=\"head\">Schritt 3 (von 5) - Admin Account anlegen</p>
	<p class=\"standard\">Bitte gebe nachfolgend einen Namen und ein Passwort ein. <br>
	ACHTUNG, dies sind die Daten, mit denen Du dich spter im AdminCenter einloggen kannst.</p>\n";
	?>
	<p class="standard">
    <form action="<?php print $PHP_SELF;?>">
    <input name="step" type="hidden" value="3">
    <input name="admin" type="hidden" value="value">
	<table width="40%" align="center" cellspacing="0" cellpadding="0"  border="0" bgcolor="#000000">
    <tr>
    <td>
    <table cellspacing="1" cellpadding="4" border="0" width="100%" bgcolor="#7199B3">
                   
    <tr>
    <td>Login</td>
    <td align="center">
    <input name="form[login]" type="text" value="<?php print trim($login);?>" maxlength="15" size="35">
    </td>
    </tr>
    <tr>
    <td>Passwort</td>
    <td align="center">
    <input name="form[passwort]" type="text" value="" maxlength="15" size="35">
    </td>
    </tr>
    <tr>
	<td>&nbsp;</td>
    <td align="center">
    <input type="submit" value="Login"> <input type="reset" value="Zurcksetzen">
    </td>
    </tr>
    </table>
	</td>
    </tr>
    </table>
    </form>
	</p>
	<?php
   }	
   
if ($step == 3) {
   if ( empty( $form[login] ) || empty( $form[passwort] ) ) {
		echo "$mainheader\n
		<p class=\"head\">Es ist ein Fehler aufgetreten</p>
		<p class=\"standard\">Du hast entweder kein Passwort oder keinen Loggin eingegeben.<br>
		Bitte klicke auf den folgenden Link und wiederhole Deine eingabe.<br>
		&raquo; <a href=\"install.php?step=2&login=$form[login]\">Eingaben wiederholen</a>";
   } else {
        $passwort = md5($form[passwort]);
		$passwort = trim($passwort);
		$today = time();
		$form[login] = trim($form[login]);
		mysql_query("INSERT INTO $user_table
					(username,userpassword,regdate,lastvisit,groupid,show_email_global,blocked,canuploadfile)
					 VALUES ('$form[login]','$passwort','$today','$today','1','0','0','1')");
 		echo "$mainheader\n
		<p class=\"head\">Schritt 4 (von 5) - Account erfolgreich installiert</p>
		<p class=\"standard\">Dein Loggin: <b>$form[login]</b><br>
		Dein Passwort: <b>".trim($form[passwort])."</b><br>
		wurden erfolgreich in die Datenbank eingetragen.</P>
		<p class=\"standard\">Um die DownloadEngine nutzen zu knnen musst Du jetzt verschiedene Pfade eintragen<br>
		Klicke auf den folgenden Link, um die Haupt-Urls zum Script einzugeben:<br>
		&raquo; <a href=\"install.php?step=4\">Klicke hier um mit der Installation fortzufahren</a></p>";
	}
	}
		
if ($step == 4) {
   		  	echo "$mainheader\n
			<p class=\"head\">Schritt 5 (von 5) - Pfade angeben</p>
			<p class=\"standard\">Bitte gebe nachfolgend die Urls an, wo Du die Datenbank hininstalliert hast</p>";
			?>
			<p class="standard">
            <form action="<?php print $PHP_SELF;?>">
            <input name="step" type="hidden" value="5">
            <input name="admin" type="hidden" value="value">
        	<table width="65%" align="center" cellspacing="0" cellpadding="0"  border="0" bgcolor="#000000">
            <tr>
            <td>
            <table cellspacing="1" cellpadding="4" border="0" width="100%" bgcolor="#7199B3">
                           
            <tr>
            <td>Url zur Seite selbst (z. B. http://www.deineurl.de )</td>
            <td align="center">
            <input name="form[mainurl]" type="text" size="35" value="http://">
            </td>
            </tr>
            <tr>
            <td>Url zum Verzeichnis in der sich die Art-Engine befindet selbst (z. B. http://www.deineurl.de/art_engine )<br><b>ohne</b> abschliessenden /</td>
            <td align="center">
            <input name="form[artscripturl]" type="text" size="35" value="http://">
            </td>
            </tr>
            <tr>
            <td>Url zum Verzeichnis in dem sich die Smilies zur Art-Engine befinden (normalerweise http://www.deineurl.de/art_engine/smilie )<br><b>ohne</b> abschliessenden /</td>
            <td align="center">
            <input name="form[smilieurl]" type="text" size="35" value="http://">
            </td>
            </tr>
            <tr>
            <td>Url zum Verzeichnis in dem sich die Grafiken zur Art-Engine befinden (normalerweise http://www.deineurl.de/art_engine/images )<br><b>ohne</b> abschliessenden /</td>
            <td align="center">
            <input name="form[grafurl]" type="text" size="35" value="http://">
            </td>
            </tr>
            <tr>
			<td>&nbsp;</td>
            <td align="center">
            <input type="submit" value="Senden"> <input type="reset" value="Zurcksetzen">
            </td>
            </tr>
            </table>
        	</td>
            </tr>
            </table>
            </form>
			</p>
        	<?php
		}

if ($step == 5) {
   if ( empty( $form[mainurl] ) || empty( $form[artscripturl] ) || empty( $form[smilieurl]) || empty( $form[grafurl]) ) {
		echo "$mainheader\n
		<p class=\"head\">Es ist ein Fehler aufgetreten</p>
		<p class=\"standard\">Du hast mindestens eine Url vergessen einzugeben.<br>
		Bitte klicke auf den folgenden Link und wiederhole Deine Eingabe.
		&raquo; <a href=\"install.php?step=4\">Eingaben wiederholen</a></p>";
   } else {
   	 	$avaturl = $form[artscripturl]."/avatar";
		$artgrafurl = $form[artscripturl]."/artgraf";
		mysql_query("INSERT INTO $set_table
					(styleid,artscripturl,smilieurl,grafurl,avaturl,artgrafurl,textcol,textcol2,hovercol,bordercol,maincol,primcol,postcol1,postcol2,fontf,mainurl)
					 VALUES ('1','$form[artscripturl]','$form[smilieurl]','$form[grafurl]','$avaturl','$artgrafurl','#4665B5','#FFFFFF','#FF9933','#808080','#4665B5','#CFDAF0','#EFEFEF','#DEDEDE','Tahoma,Arial,sans-serif','$form[mainurl]')");					 
		mysql_query("INSERT INTO $group_table
					(groupid,title)
					 VALUES ('1','Administrator')");
		mysql_query("INSERT INTO $group_table
					(groupid,title)
					 VALUES ('2','Moderator')");
		mysql_query("INSERT INTO $group_table
					(groupid,title)
					 VALUES ('3','User')");
		mysql_query("INSERT INTO $group_table
					(groupid,title)
					 VALUES ('4','Gast')");
		mysql_query("INSERT INTO $group_table
					(groupid,title)
					 VALUES ('5','Super Moderator')");
		mysql_query("INSERT INTO $group_table
					(groupid,title)
					 VALUES ('6', 'News Poster')");
		mysql_query("INSERT INTO $group_table
					(groupid,title)
					 VALUES ('7','Mitglied')");
		mysql_query("INSERT INTO $group_table
					(groupid,title)
					 VALUES ('8','Besucher')");
		mysql_query("INSERT INTO $group_table
					(groupid,title)
					 VALUES ('9', 'Co-Administrator')");
		mysql_query("INSERT INTO $user_table
					(userid,username,groupid)
					 VALUES ('2','Besucher','8')");
		mysql_query("INSERT INTO $avat_table
					(avatardata)
					 VALUES ('no_avatar.gif')");
					 
					 
 		echo "$mainheader\n
		<p class=\"head\">Installation abgeschlossen</p>
		<p class=\"standard\">Die Installation ist nun vollstndig.<br>
		Nachdem Du Dich zum ersten mal im AdminCenter eingeloggt hast, <u>vervollstndige als erstes alle Einstellungen im Punkt -Haupteinstellungen-</u>. Bitte auch die Ordner avatar und artgraf mit CHMOD777 versehen.<br>
		<b>Bitte lsche nun via FTP die Datei install.php</b> .<br>
		Anschliessend kannst Du Dich unter folgender Url einloggen: <b>$form[artscripturl]/index.php</b> und dann im Hauptmen den Punkt AdminCenter auswhlen.</p>
		<p class=\"standard\">Viel Spass mit Deiner AlexArticleEngine";
   }
   }
		
if ($step == 6) {
    echo "$mainheader\n
	<p class=\"head\">Schritt 2 (von 3) - Installation der Tabellen</p>
	<p class=\"standard\">Die Tabellen werden nun in der angegebenen Datenbank installiert. <br>
	Bitte nicht den Zurck- oder Reload-Button drcken, zudem musst Du Dir sicher sein, dass in der Datei config.inc.php die Tabellen fr User ($user_table), Gruppen ($group_table) und Avatare ($avat_table), den gleichen Namen haben wie bei der/den bereits installierten Komponenten.</p>
	<ul>
	";
	mysql_query("DROP TABLE $set_table");
	mysql_query("CREATE TABLE $set_table (
		styleid int(11) NOT NULL default '0',
		artscripturl varchar(255) NOT NULL default '',
		scriptname varchar(255) NOT NULL default '',
		admin_mail varchar(255) NOT NULL default '',
		smilieurl varchar(255) NOT NULL default '',
		grafurl varchar(255) NOT NULL default '',
		avaturl varchar(255) NOT NULL default '',
		artgrafurl varchar(255) NOT NULL default '',
		textcol varchar(10) NOT NULL default '',
		textcol2 varchar(10) NOT NULL default '',
		hovercol varchar(10) NOT NULL default '',
		bordercol varchar(10) NOT NULL default '',
		maincol varchar(10) NOT NULL default '',
		primcol varchar(10) NOT NULL default '',
		postcol1 varchar(10) NOT NULL default '',
		postcol2 varchar(10) NOT NULL default '',
		fontf varchar(50) NOT NULL default '',
		mainwidth varchar(11) NOT NULL default '0',
		commentmail int(1) NOT NULL default '0',
		guestpost int(1) NOT NULL default '1',
		mainurl varchar(255) NOT NULL default '',
		directpost int(1) NOT NULL default '0',
		infopage int(10) NOT NULL default '0',
		use_navichain int(1) NOT NULL default '1',
		showvisitorinfo int(1) NOT NULL default '0',
		userreg int(1) NOT NULL default '0',
		userlogin int(1) NOT NULL default '0',
		PRIMARY KEY (styleid)
    )");
	echo "<li>Tabelle $set_table wurde erfolgreich erzeugt</li>";
	mysql_query("DROP TABLE $artcat_table");
	mysql_query("CREATE TABLE $artcat_table (
		catid int(11) NOT NULL auto_increment,
		titel text NOT NULL,
		subcat int(11) NOT NULL default '0',
		cat_image varchar(255) NOT NULL default '',
		PRIMARY KEY  (catid),
		KEY subcat (subcat)
    )");
	echo "<li>Tabelle $artcat_table wurde erfolgreich erzeugt</li>";
	mysql_query("DROP TABLE $artcomment_table");
	mysql_query("CREATE TABLE $artcomment_table (
		comid int(11) NOT NULL auto_increment,
		userid int(11) NOT NULL default '0',
		com_headline varchar(255) NOT NULL default '',
		post_comment text NOT NULL,
		com_date int(11) NOT NULL default '0',
		com_status int(11) NOT NULL default '0',
		artid int(11) NOT NULL default '0',
		user_ip varchar(16) default NULL,
		user_comname varchar(30) NOT NULL default '0',
		posticon varchar(255) NOT NULL default '',
		PRIMARY KEY  (comid),
		KEY userid (userid),
		KEY artid (artid)
    )");
	echo "<li>Tabelle $artcomment_table wurde erfolgreich erzeugt</li>";
	mysql_query("DROP TABLE $art_table");
	mysql_query("CREATE TABLE $art_table (
		artid int(11) NOT NULL auto_increment,
		subart int(11) NOT NULL default '0',
		headline text NOT NULL,
		hometext text NOT NULL,
		article text NOT NULL,
		use_br int(1) NOT NULL default '0',
		catid int(11) NOT NULL default '0',
		dl int(1) NOT NULL default '0',
		dl_link varchar(255) NOT NULL default '',
		dl_name varchar(255) NOT NULL default '',
		dl_counter int(11) NOT NULL default '0',
		published int(1) NOT NULL default '0',
		comments_allowed int(1) NOT NULL default '0',
		artdate int(11) NOT NULL default '0',
		pagenum int(11) NOT NULL default '1',
		pagecount int(11) NOT NULL default '1',
		pic_n int(1) NOT NULL default '0',
		pic_name varchar(255) NOT NULL default '',
		info int(1) NOT NULL default '0',
		reg_only int(1) NOT NULL default '0',
		print_ver int(1) NOT NULL default '1',
		PRIMARY KEY  (artid),
		KEY subart (subart),
		KEY catid (catid)
    )");
	echo "<li>Tabelle $art_table wurde erfolgreich erzeugt</li>";
	echo "</ul>
	<p class=\"standard\">Alle Tabellen wurden erzeugt (ausser User, Group und Avatare). Klicke auf den folgenden Link, um mit der Installation fortzufahren:<br>
	&raquo; <a href=\"install.php?step=7\">Klicke hier und fahre mit der Installation fort</a></p>";
	}	
if ($step == 7) {
   		  	echo "$mainheader\n
			<p class=\"head\">Schritt 3 (von 3) - Pfade angeben</p>
			<p class=\"standard\">Bitte gebe nachfolgend die Urls an, wo Du die Download-Engine hininstalliert hast</p>";
			?>
			<p class="standard">
            <form action="<?php print $PHP_SELF;?>">
            <input name="step" type="hidden" value="8">
            <input name="admin" type="hidden" value="value">
        	<table width="65%" align="center" cellspacing="0" cellpadding="0"  border="0" bgcolor="#000000">
            <tr>
            <td>
            <table cellspacing="1" cellpadding="4" border="0" width="100%" bgcolor="#7199B3">
                           
            <tr>
            <td>Url zur Seite selbst (z. B. http://www.deineurl.de )</td>
            <td align="center">
            <input name="form[mainurl]" type="text" size="35" value="http://">
            </td>
            </tr>
            <tr>
            <td>Url zum Verzeichnis in der sich die Art-Engine befindet selbst (z. B. http://www.deineurl.de/art_engine )<br><b>ohne</b> abschliessenden /</td>
            <td align="center">
            <input name="form[artscripturl]" type="text" size="35" value="http://">
            </td>
            </tr>
            <tr>
            <td>Url zum Verzeichnis in dem sich die Smilies zur Art-Engine befinden (normalerweise http://www.deineurl.de/art_engine/smilie )<br><b>ohne</b> abschliessenden /</td>
            <td align="center">
            <input name="form[smilieurl]" type="text" size="35" value="http://">
            </td>
            </tr>
            <tr>
            <td>Url zum Verzeichnis in dem sich die Grafiken zur Art-Engine befinden (normalerweise http://www.deineurl.de/art_engine/images )<br><b>ohne</b> abschliessenden /</td>
            <td align="center">
            <input name="form[grafurl]" type="text" size="35" value="http://">
            </td>
            </tr>
            <tr>
			<td>&nbsp;</td>
            <td align="center">
            <input type="submit" value="Senden"> <input type="reset" value="Zurcksetzen">
            </td>
            </tr>
            </table>
        	</td>
            </tr>
            </table>
            </form>
			</p>
        	<?php
		}

if ($step == 8) {
   if ( empty( $form[mainurl] ) || empty( $form[artscripturl] ) || empty( $form[smilieurl]) || empty( $form[grafurl]) ) {
		echo "$mainheader\n
		<p class=\"head\">Es ist ein Fehler aufgetreten</p>
		<p class=\"standard\">Du hast mindestens eine Url vergessen einzugeben.<br>
		Bitte klicke auf den folgenden Link und wiederhole Deine Eingabe.
		&raquo; <a href=\"install.php?step=7\">Eingaben wiederholen</a></p>";
   } else {
   	 	$avaturl = $form[artscripturl]."/avatar";
		$artgrafurl = $form[artscripturl]."/artgraf";
		mysql_query("INSERT INTO $set_table
					(styleid,artscripturl,smilieurl,grafurl,avaturl,artgrafurl,textcol,textcol2,hovercol,bordercol,maincol,primcol,postcol1,postcol2,fontf,mainurl)
					 VALUES ('1','$form[artscripturl]','$form[smilieurl]','$form[grafurl]','$avaturl','$artgrafurl','#4665B5','#FFFFFF','#FF9933','#808080','#4665B5','#CFDAF0','#EFEFEF','#DEDEDE','Tahoma,Arial,sans-serif','$form[mainurl]')");					 
 		echo "$mainheader\n
		<p class=\"head\">Installation abgeschlossen</p>
		<p class=\"standard\">Die Installation ist nun vollstndig.<br>
		Nachdem Du Dich zum ersten mal im AdminCenter eingeloggt hast, <u>vervollstndige als erstes alle Einstellungen im Punkt -Haupteinstellungen-</u>. Bitte auch die Ordner files und thumbnail mit CHMOD777 versehen.<br>
		<b>Bitte lsche nun via FTP die Datei install.php</b> .<br>
		Anschliessend kannst Du Dich unter folgender Url einloggen: <b>$form[artscripturl]/index.php</b> und dann im Hauptmen den Punkt AdminCenter auswhlen.</p>
		<p class=\"standard\">Viel Spass mit Deiner AlexDownloadEngine";
   }
   }
   
?>

</body>
</html>
